`timescale 1ns/1ps
module tb();

reg  clk,rst_n;
wire [3:0]O_ck;
wire [3:0]O_ck_n;
wire [3:0]IO_dqs;
wire [31:0]IO_dq;
wire [3:0] O_dm;
wire [3:0] O_cs_n;
wire VCC;
assign VCC = 1'b1;
GSR GSR(1'b1);



initial
begin
    clk = 0;
    rst_n = 0;
    #250000
    rst_n = 1;
   end

always #10 clk = ~clk;




psram_syn_top u_syn_top(
                 .clk(clk),
                 .rst_n(rst_n),
                 .O_apsram_ck(O_ck),
                 .O_apsram_ck_n(O_ck_n),
                 .IO_apsram_dqs(IO_dqs),
                // .O_apsram_reset_n(O_reset),
                 .O_apsram_dm (O_dm),
                 .IO_apsram_dq(IO_dq),
                 .O_apsram_cs_n(O_cs_n)                 
                 );


  
  
        psram_model apsram_model_0(
          .xCLK             (O_ck[0]),
          .xCLKn            (O_ck_n[0]),
          .xCEn             (O_cs_n[0]),
          .xDQ              (IO_dq[7:0]),
          .xDQS             (IO_dqs[0]),
          .xDM              (O_dm[0])
        );

        psram_model apsram_model_1(
          .xCLK             (O_ck[1]),
          .xCLKn            (O_ck_n[1]),
          .xCEn             (O_cs_n[1]),
          .xDQ              (IO_dq[15:8]),
          .xDQS             (IO_dqs[1]),
          .xDM              (O_dm[1])
        );      

        psram_model apsram_model_2(
          .xCLK             (O_ck[2]),
          .xCLKn            (O_ck_n[2]),
          .xCEn             (O_cs_n[2]),
          .xDQ              (IO_dq[23:16]),
          .xDQS             (IO_dqs[2]),
          .xDM              (O_dm[2])
        );

        psram_model apsram_model_3(
          .xCLK             (O_ck[3]),
          .xCLKn            (O_ck_n[3]),
          .xCEn             (O_cs_n[3]),
          .xDQ              (IO_dq[31:24]),
          .xDQS             (IO_dqs[3]),
          .xDM              (O_dm[3])
        ); 

initial begin #1500000
              $stop;
        end





endmodule